using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Data;
using System.Data.SqlClient;
using A8ERP.Common;
using Sybase.DataWindow;
using TXSoft.Common;
using TXSoft.ExtPB;
using TXSoft.DataStore;
using A8erp.Cache;


namespace A8ERP.DiaoBo.BaoBiao_Base
{
    public partial class W_HuiZongTongJi
    {
        private string cdbh = "";
        private string bbfl = "";
        private string bbmc = "";
        private string yhbh = "";
        private string pzh = "";
        public W_HuiZongTongJi()
        {

        }
        public override void OnLoad()
        {
            base.OnLoad();
            DBHelp dbhelp = new DBHelp();
            if (this.Page != null)
            {
                this.Page.ClientScript.RegisterClientScriptInclude("W_Edit", "/DangAn/Base/OpenWindowDoubleRowsChooseBase.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowQueryBase", "/DangAn/Base/OpenWindowQueryBase.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowSimpleChoseBase", "/DangAn/Base/OpenWindowSimpleChoseBase.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_Base_Report_Open_Mx_Ex", "/Base/W_Base_Report_Open_Mx_Ex.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_Base_SaveOP", "/KuCun/TongJiFenXi/Base/W_Base_SaveOP.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_Base_BB_List", "/KuCun/TongJiFenXi/Base/W_Base_BB_List.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_KC_PIC", "/KuCun/TongJiFenXi/W_KC_PIC.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_NFCheck", "/KuCun/TongJiFenXi/W_NFCheck.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_HuiZongTongJi", "/DiaoBo/BaoBiao_Base/W_HuiZongTongJi.win.js?JSV=" + AppService.GetJSVesion());
            }
            this.IsRegisterScriptFile = false;
            string curYhbh = AppService.GetUserID();
            string curjgqx = A8ERP.DBHelp.GetJGTXByBMAndYH(this.FunctionID, curYhbh);
            this.SetParm("curjgqx", curjgqx);
            this.SetParm("curYhbh", curYhbh);
            this.SetParm("curYhmc", AppService.GetUserName());

            string ywflag = "";
            if (this.FunctionID.Equals("SJ367"))
            {
                ywflag = "DB";
                st_title.Text = "调拨订货单【汇总统计】";
            }
            else if (this.FunctionID.Equals("SJ415"))
            {
                ywflag = "DZ";
                st_title.Text = "调拨通知单【汇总统计】";
            }

            else if (this.FunctionID.Equals("SJ416"))
            {
                ywflag = "DC";
                st_title.Text = "调拨出库单【汇总统计】";
            }
            else if (this.FunctionID.Equals("SJ417"))
            {
                ywflag = "DR";
                st_title.Text = "调拨入库单【汇总统计】";
            }
            //if (ywflag != "DC" || ywflag != "DR")
            //{
            //    cbx_khjs.Visible = false;
            //    cbx_dbck.Visible = false;
            //}
            //else {
            //    cbx_khjs.Visible = true;
            //    cbx_dbck.Visible = true;
            //}

            this.SetParm("ywflag", ywflag);
            this.SetParm("curCdbh", this.FunctionID);
            dw_temp.AllowCreate = true;
            dw_temp.AllowRetrieve = true;
            dw_format.AllowCreate = true;
            dw_format.AllowRetrieve = true;
            dw_list.ClickHeaderSort = true;
            DataRow[] dt = CacheHelp.GetDataTable("REPORT_FORMAT").Select("cdbh ='" + this.FunctionID + "'  AND qdid ='" + curYhbh + "'");
            if (dt != null)
            {
                if (dt.Length > 0)
                {
                    pzh = dt[0][0].ToString();
                    bbmc = dt[0][1].ToString();
                    bbfl = dt[0][2].ToString();

                }
            }
            this.SetParm("pzh", pzh);
            this.SetParm("bbmc", bbmc);
            this.SetParm("bbfl", bbfl);
            ddlb_sex.Width = 200;

        }
    }
}
